Name:           lekhonee-gnome
Version:        0.11
Release:        4%{?dist}
Summary:        The gnome frontend for lekhonee wordpress client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://fedorahosted.org/lekhonee
Source0:        https://fedorahosted.org/releases/l/e/lekhonee/%{name}-%{version}.tar.bz2

#BuildArch:      noarch
BuildRequires:  desktop-file-utils, intltool, glib2-devel, gtksourceview2-devel,gtkspell-devel, gtk2-devel, webkitgtk-devel, libxml2-devel, libsoup-devel, libgee-devel
Requires:       webkitgtk, gtkspell, gtk2


%description
Wordpress desktop client frontend for Gnome


%prep
%setup -q


%build
%configure

make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


desktop-file-install                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/lekhonee-gnome.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog
%{_bindir}/lekhonee-gnome
%{_datadir}/lekhonee-gnome/*
%{_datadir}/pixmaps/lekhonee-gnome.png
%{_datadir}/applications/lekhonee-gnome*.desktop


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 01 2010 Kushal Das <kushal@fedoraproject.org> 0.11-2
- Rebuild due to webkit so bump

* Thu Jun 24 2010 Kushal Das <kushal@fedoraproject.org> 0.11-1
- Updated to v0.11, fixed about box bug.

* Thu Jun 03 2010 Kushal Das <kushal@fedoraproject.org> 0.10-1
- Updated to v0.10

* Thu Apr 29 2010 Kushal Das <kushal@fedoraproject.org> 0.9.2-1
- New release of source

* Thu Apr 29 2010 Kushal Das <kushal@fedoraproject.org> 0.9.1-1
- New release of source

* Wed Apr 06 2010 Kushal Das <kushal@fedoraproject.org> 0.9-1
- New release of source

* Mon Nov 02 2009 Kushal Das <kushal@fedoraproject.org> 0.8-2
- added BR of python-distutils-extra, intltool

* Thu Oct 29 2009 Kushal Das <kushal@fedoraproject.org> 0.8-1
- Initial release
